Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Class CustomNamedKey

    java.lang.Object
      |
      +--com.compoze.collab.Key
            |
            +--com.compoze.collab.groupware.CustomNamedKey

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class CustomNamedKey
extends Key

The `CustomNamedKey` class provides a way to create keys that are not statically mapped at runtime, but can be used to set and get properties with any provider. `CustomNamedKey` instances will have the ID `groupware:custom:name:` along with the name provided.

See Also:
  Serialized Form

Fields inherited from class com.compoze.collab.Key
`BASE_TYPE_MASK, EMPTY_KEY_ARRAY, EMPTY_STRING, s_keyMap, VALUE_ARRAY, VALUE_BINARY, VALUE_BOOLEAN, VALUE_DATE, VALUE_DOUBLE, VALUE_ENUMELEMENT, VALUE_FLOAT, VALUE_INTEGER, VALUE_ITEM, VALUE_LONG, VALUE_SERIALIZABLE, VALUE_SHORT, VALUE_STRING, VALUE_UNKNOWN`

Method Summary
`static CustomNamedKey` | `create(java.lang.String sName, int iValueType)` Creates a new custom key
`java.lang.String` | `getName()` Gets the name for this custom key.

Methods inherited from class com.compoze.collab.Key
`combine, equals, get, getID, getIntID, getValueType, getValueTypeName, hashCode, isCalculated, isReadOnly, staticValueTypeName, toString, updateDigest`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### create

    public static CustomNamedKey create(java.lang.String sName,
                                        int iValueType)

  Creates a new custom key
  Parameters:
    `sName` - the name of this key
    `iValueType` - the value type of this key
  Returns:
    the new custom key

### getName

    public java.lang.String getName()

  Gets the name for this custom key.
  Returns:
    this key's name.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.